## visad.java3d
Class DefaultRendererJ3D

    java.lang.Object
      visad.DataRenderer
          visad.java3d.RendererJ3D
              visad.java3d.DefaultRendererJ3D

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  AnimationRendererJ3D, BarbRendererJ3D, ClientRendererJ3D, ImageRendererJ3D, NodeRendererJ3D, ScreenLockedRendererJ3D, SwellRendererJ3D, TextureFillRendererJ3D, UserRendererJ3D

public class DefaultRendererJ3D
extends RendererJ3D

DefaultRendererJ3D is the VisAD class for the default graphics rendering algorithm under Java3D.

Field Summary
`(package private) DataDisplayLink` `link`

Fields inherited from class visad.java3d.RendererJ3D
`branches, branchNonEmpty, sw, switchFlags, swParent`

Fields inherited from class visad.DataRenderer
`enabled, pickCrawlToCursor`

Constructor Summary
`DefaultRendererJ3D()` this is the default DataRenderer used by the addReference method for DisplayImplJ3D

Method Summary
`void` `addSwitch(DisplayRendererJ3D displayRenderer, javax.media.j3d.BranchGroup branch)`
`void` `clearScene()` clear any scene graph created by this DataRenderer, and clear all instance variables
`Object` `clone()`
`javax.media.j3d.BranchGroup` `doTransform()` create a BranchGroup scene graph for Data in links[0]
`DataDisplayLink` `getLink()` used by ShadowFunctionOrSetType for transform time-out hack
`void` `setLinks(DataDisplayLink[] links, DisplayImpl d)` set DataDisplayLinks for linked Data, and set associated DisplayImpl

Methods inherited from class visad.java3d.RendererJ3D
`clearBranch, doAction, flush, getBranch, makeShadowFunctionType, makeShadowRealTupleType, makeShadowRealType, makeShadowSetType, makeShadowTextType, makeShadowTupleType, setBranchEarly, toggle`

Methods inherited from class visad.DataRenderer

`addException, addPoint, checkAction, checkClose, checkDirect, clearAVControls, clearExceptions, computeRanges, drag_direct, earthToSpatial, earthToSpatial, findRayManifoldIntersection, get_all_feasible, get_any_changed, get_any_transform_control, getBadScale, getDisplay, getDisplayCoordinateSystem, getDisplayRenderer, getEarthDimension, getEarthUnits, getEnabled, getExceptionVector, getIsDirectManipulation, getLastMouseModifiers, getLatLonIndices, getLatLonRange, getLinks, getPickCrawlToCursor, getRanges, getRealVectorTypes, getWhyNotDirect, isLegalTextureMap, isTransformControl, prepareAction, realCheckDirect, release_direct, removeLink, set_all_feasible, setDisplay, setDisplayRenderer, setEarthSpatialData, setEarthSpatialDisplay, setIsDirectManipulation, setLastMouseModifiers, setLatLonIndices, setLinks, setPickCrawlToCursor, setSpatialValues, spatialToEarth, spatialToEarth, stop_direct, suppressExceptions`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### link

    DataDisplayLink link

Constructor Detail

### DefaultRendererJ3D

    public DefaultRendererJ3D()

  this is the default DataRenderer used by the addReference method for DisplayImplJ3D

Method Detail

### setLinks

    public void setLinks(DataDisplayLink[] links,
                         DisplayImpl d)
                  throws VisADException

  Description copied from class: `DataRenderer`
  set DataDisplayLinks for linked Data, and set associated DisplayImpl

  Overrides:
    `setLinks` in class `RendererJ3D`
  Throws:
    `VisADException`

### doTransform

    public javax.media.j3d.BranchGroup doTransform()
                                            throws VisADException,
                                                   RemoteException

  create a BranchGroup scene graph for Data in links[0]

  Specified by:
    `doTransform` in class `RendererJ3D`
  Throws:
    `VisADException`
    `RemoteException`

### addSwitch

    public void addSwitch(DisplayRendererJ3D displayRenderer,
                          javax.media.j3d.BranchGroup branch)

  Specified by:
    `addSwitch` in class `RendererJ3D`

### getLink

    public DataDisplayLink getLink()

  Description copied from class: `DataRenderer`
  used by ShadowFunctionOrSetType for transform time-out hack

  Overrides:
    `getLink` in class `DataRenderer`
  Returns:
    single DataDisplayLink (over-ridden by sub-classes)

### clearScene

    public void clearScene()

  Description copied from class: `DataRenderer`
  clear any scene graph created by this DataRenderer, and clear all instance variables

  Overrides:
    `clearScene` in class `RendererJ3D`

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Specified by:
    `clone` in class `DataRenderer`
  Returns:
    a copy of this DataRenderer
  Throws:
    `CloneNotSupportedException`